Skip to main content
GET
/
v3
/
stores
cURL
curl --request GET \
  --url https://api.artisn.desarrollo-redbrand.com/api/v3/stores \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.artisn.desarrollo-redbrand.com/api/v3/stores"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.artisn.desarrollo-redbrand.com/api/v3/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "New store 805",
    "active": true,
    "storeId": 805,
    "services": [
      {
        "name": "DELIVERY",
        "active": true
      }
    ],
    "vendorId": 16,
    "schedulesByChannel": [
      {
        "channelId": "0F049503-85CF-E511-80C6-000D3A3261F3",
        "schedules": [
          {
            "day": "FRIDAY",
            "endTime": "22:30",
            "startTime": "10:00"
          }
        ]
      }
    ],
    "storeCode": "T005",
    "taxesInfo": {
      "taxRate": 0,
      "vatRatePercentage": 12
    },
    "contactInfo": {
      "phone": "23955400",
      "address": "PICHINCHA / QUITO / INAQUITO / AV. AMERICA N37-288 Y VILLALENGUA"
    },
    "deliveryInfo": {
      "cookTime": "10",
      "deliveryId": 46356,
      "minimumOrder": "0.00",
      "shippingCost": 1.99
    },
    "locationInfo": {
      "city": "QUITO",
      "latitude": "-0.17250869436401206",
      "longitude": "-78.49125266075134"
    },
    "storeChannels": [
      "0F049503-85CF-E511-80C6-000D3A3261F3"
    ],
    "storeImage": "<array>",
    "paymentMethodAvailability": "<string>",
    "paymentMethodInfo": "<string>"
  }
]
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

vendorId
integer<int32>

Unique identifier of the brand

Response

Store response

name
string
Example:

"New store 805"

active
boolean
Example:

true

storeId
integer
Example:

805

services
object[]
vendorId
integer

Unique brand identifier. *This identifier is provided by Trade.

Example:

16

schedulesByChannel
object[]
storeCode
string
Example:

"T005"

taxesInfo
object
contactInfo
object
deliveryInfo
object
locationInfo
object
storeChannels
string[]
storeImage
array

Store image

paymentMethodAvailability
string
paymentMethodInfo
string